/**
 * Converts CSS animation duration string to integer holding duration in milliseconds
 * @param CSSAnimationDuration {string} [CSSAnimationDuration='0s'] The CSS animation duration string to convert
 * @return {integer} The duration of the css animation string in milliseconds
 * @private
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
// istanbul ignore next

var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

exports['default'] = convertAnimationDuration;

function convertAnimationDuration() {
  var CSSAnimationDuration = arguments.length <= 0 || arguments[0] === undefined ? '0s' : arguments[0];

  var _ref = CSSAnimationDuration.indexOf('ms') > -1 ? ['ms', 1] : ['s', 1000];

  var _ref2 = _slicedToArray(_ref, 2);

  var unit = _ref2[0];
  var factor = _ref2[1];

  var trimmed = CSSAnimationDuration.replace(unit, '').trim();
  var duration = trimmed[0] === '.' ? '0' + trimmed : trimmed;
  return parseFloat(duration, 10) * factor;
}

module.exports = exports['default'];