/**
 * Converts CSS animation iteration count string to integer
 * @param CSSIterationCount {string} [CSSIterationCount='1'] CSS animation iteration count
 * @return {integer}
 * @private
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = convertAnimationIterations;

function convertAnimationIterations() {
  var CSSIterationCount = arguments.length <= 0 || arguments[0] === undefined ? '1' : arguments[0];

  if (CSSIterationCount === 'infinite') {
    return Infinity;
  }

  return parseInt(CSSIterationCount, 10);
}

module.exports = exports['default'];