'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = getCSSRules;
// istanbul ignore next

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _toArray = require('./to-array');

var _toArray2 = _interopRequireDefault(_toArray);

/**
 * get cssRules for styleSheet
 * @param {string} styleSheet - styleSheet to extract cssRules from
 * @return {array} cssRules for styleSheet
 * @private
 */

function getCSSRules(styleSheet) {
	try {
		return (0, _toArray2['default'])(styleSheet.cssRules || []);
	} catch (err) {
		console.warn('Error while reading cssRules from StyleSheet "' + (styleSheet.href || 'local') + '".');
		console.error(err);
		return [];
	}
}

module.exports = exports['default'];