/**
 * Gets map of defined styles from CSS2Properties object
 * @param  {CSS2Properties} properties CSS2Properties object to return defined styles from
 * @return {object}       plain object containing defined styles as key value pairs
 * @private
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = getDefinedStyles;

function getDefinedStyles(properties) {
	var styles = {};

	for (var i = properties.length - 1; i >= 0; i -= 1) {
		var _name = properties.item(i);
		var value = properties.getPropertyValue(_name);
		if (value !== 'initial') {
			styles[_name] = value;
		}
	}

	return styles;
}

module.exports = exports['default'];