'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = getKeyframeDeclarations;
// istanbul ignore next

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _getDeclarations = require('./get-declarations');

var _getDeclarations2 = _interopRequireDefault(_getDeclarations);

/**
 * Gets all KeyFrameRule declarations attached to CSS animationName preset in rules
 * @param  {string} animationName - CSS animationName to search KeyFrameRule declarations for
 * @param  {array} rules - Array of CSSRules to search
 * @return {array} Array of matching KeyFrameRules
 * @private
 */

function getKeyframeDeclarations(animationName, rules) {
  // Filter for KeyFrameRules matching an animationName
  return (0, _getDeclarations2['default'])('keyframes', rules, function (rule) {
    return rule.name === animationName;
  });
}

module.exports = exports['default'];