/**
 * Parses KeyFrameRule.keyText to an array of integers holding keyframe percentages
 * @param  {string} keyText KeyFrameRule.keyText to parse
 * @return {array}          Array of percentages for this KeyFrameRule
 * @private
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = parseKeyframeKey;

function parseKeyframeKey(keyText) {
	// Split multivalue key,
	return keyText.split(',')
	// Trim any remaining whitespace
	.map(function (key) {
		return key.trim();
	})
	// "Understand" CSS keyText keywords
	.map(function (key) {
		return key.replace('from', '0').replace('to', '100');
	})
	// Remove any math symbols
	.map(function (key) {
		return key.replace('%', '');
	})
	// Parse to integer
	.map(function (key) {
		return parseInt(key, 10);
	});
}

module.exports = exports['default'];