'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = removeVendorPrefix;
var prefixes = ['ms', 'webkit', 'moz'];

/**
 * remove vendor prefixes from CSSPropertyNames
 * @param  {string} propertyName prefixed property name
 * @return {string}              unprefixed property name
 * @private
 */

function removeVendorPrefix(propertyName) {
	var fragments = propertyName.split('-');

	if (prefixes.indexOf(fragments[1]) > -1) {
		return fragments.slice(2).join('-');
	}

	return propertyName;
}

module.exports = exports['default'];